import request from '@/utils/request'

/**
 * 发现梳理列表
 * @param {*} query 
 * @returns 
 */
export function queryDiscoverList(data) {
  return request({
    url: '/core/tdatadiscovery/query',
    method: 'post',
    data: data
  })
}

export function querybyprojectid(data) {
  return request({
    url: '/core/searchregex/querybyprojectid',
    method: 'post',
    data: data
  })
}

export function querydatasystem(data) {
  return request({
    url: '/core/searchsensitivedata/querydatasystem',
    method: 'post',
    data: data
  })
}

export function isRepeatName(data) {
  return request({
    url: '/core/tdatadiscovery/isRepeatName',
    method: 'post',
    data: data
  })
}
export function getSchemaList(data) {
  return request({
    url: '/core/tdatadiscovery/getSchemaList',
    method: 'post',
    data: data
  })
}

export function queryTable(data) {
  return request({
    url: '/core/tdatadiscovery/queryTable',
    method: 'post',
    data: data
  })
}


export function saveDiscoverTask(data) {
  return request({
    url: '/core/tdatadiscovery/add',
    method: 'post',
    data: data
  })
}


export function initEdit(taskid) {
  return request({
    url: '/core/tdatadiscovery/initEdit?taskid=' + taskid,
    method: 'get'
  })
}

export function delDiscoverTask(data) {
  return request({
    url: '/core/tdatadiscovery/del',
    method: 'post',
    data: data
  })
}
export function executetask(data) {
  return request({
    url: '/core/discoverytask/executetask',
    method: 'post',
    data: data
  })
}

export function tdataMonitorQuery(query) {
  return request({
    url: '/core/tdataMonitor/query',
    method: 'get',
    params: query
  })
}

export function getdiscoverresultreport(query) {
  return request({
    url: '/core/tdiscoverresult/getdiscoverresultreport',
    method: 'get',
    params: query
  })
}
export function getarearule(query) {
  return request({
    url: '/core/tdiscoverresult/getarearule',
    method: 'get',
    params: query
  })
}

export function initExecute(query) {
  return request({
    url: '/core/tdatadiscovery/initExecute',
    method: 'get',
    params: query
  })
}

export function tdiscoverresultQuery(data) {
  return request({
    url: '/core/tdiscoverresult/query',
    method: 'post',
    data: data
  })
}
export function discoverresultsure(data) {
  return request({
    url: '/core/tdiscoverresult/discoverresultsure',
    method: 'post',
    data: data
  })
}
export function discoverchangerule(data) {
  return request({
    url: '/core/tdiscoverresult/discoverchangerule',
    method: 'post',
    data: data
  })
}

export function showmatchrate(data) {
  return request({
    url: '/core/tdiscoverresult/showmatchrate',
    method: 'post',
    data: data
  })
}

export function saveedition(data) {
  return request({
    url: '/core/tdiscoverresult/saveedition',
    method: 'post',
    data: data
  })
}


export function download(query) {
  return request({
      url: '/core/tdiscoverresult/download',
      method: 'get',
      params: query,
      responseType: 'blob' //
    })
}




// export function queryShemas(data) {
//   return request({
//     url: '/core/searchsensitivedata/queryShemas',
//     method: 'post',
//     data: data
//   })
// }

// export function getAllDataAreaAndRule(data) {
//   return request({
//     url: '/core/tdataarea/getAllDataAreaAndRule',
//     method: 'post',
//     data: data
//   })
// }

// export function addDataProject(data) {
//   return request({
//     url: '/core/tdataproject/addDataProject',
//     method: 'post',
//     data: data
//   })
// }
// export function deleteDataProject(data) {
//   return request({
//     url: '/core/tdataproject/deleteDataProject',
//     method: 'post',
//     data: data
//   })
// }
// export function getDataProjectDetail(data) {
//   return request({
//     url: '/core/tdataproject/getDataProjectDetail',
//     method: 'post',
//     data: data
//   })
// }

// export function updateDataProject(data) {
//   return request({
//     url: '/core/tdataproject/updateDataProject',
//     method: 'post',
//     data: data
//   })
// }
// export function showProxyInfo(data) {
//   return request({
//     url: '/core/encryptionconfig/showProxyInfo',
//     method: 'post',
//     data: data
//   })
// }
// export function saveProxyJarInfo(data) {
//   return request({
//     url: '/core/encryptionconfig/saveProxyJarInfo',
//     method: 'post',
//     data: data
//   })
// }

// export function getProjectTree(data) {
//   return request({
//     url: '/core/encryptionconfig/getProjectTree',
//     method: 'post',
//     data: data
//   })
// }


// export function getEncryptExcel(data) {
//   return request({
//       url: '/core/encryptionconfig/getEncryptExcel',
//       method: 'post',
//       data: data,
//       responseType: 'blob' //
//     })
// }
// export function checkEncryptExcel(data) {
//   return request({
//     url: '/core/encryptionconfig/checkEncryptExcel',
//     method: 'post',
//     data: data
//   })
// }

// export function exportToExcel(data) {
//   return request({
//     url: '/core/encryptionconfig/exportToExcel',
//     method: 'post',
//     data: data,
//     responseType: 'blob' //
//   })
// }

// export function tdatasourceQuery(data) {
//   return request({
//     url: '/core/tdatasource/query',
//     method: 'post',
//     data: data
//   })
// }
// export function queryShemasmodifysubsettask(data) {
//   return request({
//     url: '/core/modifysubsettask/queryShemas',
//     method: 'post',
//     data: data
//   })
// }
// export function rowsensitivelevelType(type,data) {
//   return request({
//     url: '/core/rowsensitivelevel/' + type,
//     method: 'post',
//     data: data
//   })
// }




